org.apache.tinkerpop.gremlin.process.computer.search.path

## Class ShortestPathVertexProgramTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.computer.search.path.ShortestPathVertexProgramTest

-     public class ShortestPathVertexProgramTest
      extends AbstractGremlinProcessTest

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[][]` | `ALL_SHORTEST_PATHS`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortestPathVertexProgramTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeHelper()`
    `void` | `shouldFindAllShortestPathsWithDefaultParameters()`
    `void` | `shouldFindAllShortestPathsWithEdgesIncluded()`
    `void` | `shouldFindDirectedShortestPathsWithEdgesIncluded()`
    `void` | `shouldFindEqualLengthPaths()`
    `void` | `shouldFindEqualLengthPathsUsingDistanceProperty()`
    `void` | `shouldFindInDirectedShortestPaths()`
    `void` | `shouldFindOutDirectedShortestPaths()`
    `void` | `shouldFindShortestPathsWithEndVertexFilter()`
    `void` | `shouldFindShortestPathsWithStartEndVertexFilter()`
    `void` | `shouldFindShortestPathsWithStartVertexFilter()`
    `void` | `shouldRespectMaxCustomDistance()`
    `void` | `shouldRespectMaxDistance()`
    `void` | `shouldUseCustomDistanceProperty()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_SHORTEST_PATHS

          public static String[][] ALL_SHORTEST_PATHS

  - ### Constructor Detail

    - #### ShortestPathVertexProgramTest

          public ShortestPathVertexProgramTest()

  - ### Method Detail

    - #### initializeHelper

          public void initializeHelper()
                                throws Exception

      Throws:
        `Exception`

    - #### shouldFindAllShortestPathsWithDefaultParameters

          public void shouldFindAllShortestPathsWithDefaultParameters()
                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldFindAllShortestPathsWithEdgesIncluded

          public void shouldFindAllShortestPathsWithEdgesIncluded()
                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldFindOutDirectedShortestPaths

          public void shouldFindOutDirectedShortestPaths()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldFindInDirectedShortestPaths

          public void shouldFindInDirectedShortestPaths()
                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldFindDirectedShortestPathsWithEdgesIncluded

          public void shouldFindDirectedShortestPathsWithEdgesIncluded()
                                                                throws Exception

      Throws:
        `Exception`

    - #### shouldFindShortestPathsWithStartVertexFilter

          public void shouldFindShortestPathsWithStartVertexFilter()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldFindShortestPathsWithEndVertexFilter

          public void shouldFindShortestPathsWithEndVertexFilter()
                                                          throws Exception

      Throws:
        `Exception`

    - #### shouldFindShortestPathsWithStartEndVertexFilter

          public void shouldFindShortestPathsWithStartEndVertexFilter()
                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldUseCustomDistanceProperty

          public void shouldUseCustomDistanceProperty()
                                               throws Exception

      Throws:
        `Exception`

    - #### shouldFindEqualLengthPaths

          public void shouldFindEqualLengthPaths()
                                          throws Exception

      Throws:
        `Exception`

    - #### shouldFindEqualLengthPathsUsingDistanceProperty

          public void shouldFindEqualLengthPathsUsingDistanceProperty()
                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldRespectMaxDistance

          public void shouldRespectMaxDistance()
                                        throws Exception

      Throws:
        `Exception`

    - #### shouldRespectMaxCustomDistance

          public void shouldRespectMaxCustomDistance()
                                              throws Exception

      Throws:
        `Exception`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.